
Portal - Employment  - Bug #1822

Visa Cancellation (Not Printed) - RMPMF 007 - Submission form notes 

09/16/2019 05:52 PM - Israa Naser

Status: Closed Start date: 09/16/2019

Priority: Normal Due date:  

Assignee: Israa Naser % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Furat Swalha Actual Result:  

Severity: Normal Environment: QA

Category: PAMP PHASE II - Portal - Employment Transaction Number:  

Sub-Category:  Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:  SERVICE_ID: 107

Description

1- The document can be submitted with all required fields empty.

2- Mandatory fields are not marked with Blue Asterisk, check screenshot attached.

3- the field رقم الجواز should be changed to رقم جواز السفر to match fields in other submission forms

4- Null error is displayed when the user fills the field رقم الجواز with letters instead of digits | or اسم العامل with digits instead of

letters - check screenshot attached

5- a server error is displayed when the user submits the document with filled data, check screenshot attached

6- the number filled in the passport number has commas added in between the digits, it's only a display issue as the number is set

correctly in the Database.

History

#1 - 09/17/2019 05:04 PM - Furat Swalha

- Status changed from Open to Fixed

- Assignee changed from Furat Swalha to Israa Naser

- % Done changed from 0 to 100

Fixed , Please wait for the next deploy and check again

#2 - 09/24/2019 06:35 PM - Israa Naser

- File Issues 2 & 3 after fix.png added

- File Issue #4 after fix.png added

- Description updated

- % Done changed from 100 to 80

- Co-Workers Furat Swalha added

- Co-Workers deleted (Israa Naser)

Tested and Verified all issues 1-5, thanks Furat

i added note #6 to be fixed and tested. thanks
#3 - 10/01/2019 12:21 PM - Israa Naser

- File 107 - Passport number fixed.png added

- Status changed from Fixed to Closed

- % Done changed from 80 to 100

Tested the last note, check the screenshot attached.

this is done.

Covered in SRS under

4.3.3    Initiation–  Visa Cancellation (Not Printed)

Use Case ID: RMPMF 007

Files

cancelled Visa - required fields.PNG 199 KB 09/16/2019 Israa Naser

server error on submit.PNG 111 KB 09/16/2019 Israa Naser

Null on field filled with letters.PNG 283 KB 09/16/2019 Israa Naser

Issues 2 & 3 after fix.png 50.5 KB 09/24/2019 Israa Naser

Issue #4 after fix.png 69.4 KB 09/24/2019 Israa Naser

107 - Passport number fixed.png 173 KB 10/01/2019 Israa Naser
